#!/bin/sh

if xrandr | grep 'HDMI-A-0' | grep connected >/dev/null; then
    # Turn off laptop monitor
	xrandr --output eDP --off
    # Make sure it's running at 144hz
	xrandr --output HDMI-A-0 --mode 1920x1080 --rate 144
    # Enable tear free
	xrandr --output HDMI-A-0 --set TearFree on
else
    # Just enable tearfree
	xrandr --output eDP --set TearFree on
fi
